<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePublicationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('publications', function (Blueprint $table) {
            $table->id();
            $table->char('uuid', 36)->index()->unique();
            $table->integer('page_id')->index()->default(0);
            $table->integer('poster_id')->index()->nullable();
            $table->integer('author_id')->index()->nullable();
            $table->string('slug')->index()->nullable();
            $table->string('type')->index()->nullable();
            $table->string('name')->index()->nullable();
            $table->text('excerpt')->nullable();
            $table->text('params')->nullable();
            $table->boolean('is_published')->index()->default(0);
            $table->timestamp('published_at')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('publications');
    }
}
